Nøgleoversigt
| Nøgleversion | V3 |
|---|---|
| Specifikation | RFC 1991 · RFC 2440 · RFC 4880 |
| Status | Forældet – legacy, kun bevaret af hensyn til historisk kompatibilitet |
| Primær nøgle (certificering, signering) | RSA 1024 · ID 1 |
| Krypteringsundernøgle | Ingen: nøgler i version 2 og 3 har ingen undernøgler; den primære RSA-nøgle krypterer også (C/S/E afledt af algoritmen) |
| Fingeraftryk | 8C82CFA8E8957EA451848A6948E37C72 |
| Den private nøgles adgangsfrase | synthetic-key-password |
Algoritmer og anvendelse
RSA 1024: RSA med en modulus på 1024 bit, som i dag anses for at kunne brydes. Kun bevaret til historisk kompatibilitet; GnuPG accepterer den, mens Sequoia og rPGP-baserede værktøjer afviser nøgler under 2048 bit, og det gør nøgleserveren keys2 også.
Offentlig nøgle
Den offentlige nøgle med bruger-ID og egensignatur. Nøgler i version 2 og 3 har ingen undernøgler: den samme RSA-nøgle verificerer signaturer og bruges til at kryptere til denne testidentitet.
Download → 522 byte
-----BEGIN PGP PUBLIC KEY BLOCK-----
mQCPA2r3la4AAAEEAKbAYcHV75nFBHMuEeSltY+rW8BCKK7e2P+AMtswK8sG8SSc
OBoxM9Ik/hlTO6I8hF3axTTGA7iMdyGxXtL3Nio/I/FYgthcwzZlH/HYvtfcIv7A
R91CNxsApAZSTKFzvER2OErXOTLNs8TcK07iKVhH5s9gJ/vk5QN+1/3nHRk3ABEB
AAG0GUNILUogbWF0cml4IDQxLXYzLXJzYTEwMjSJAJUDBRBq95WuA37X/ecdGTcB
AUEsA/94CUvcJjevvEkCBzcZQX4zARY+Mh6xSmSJTBXLIrGKazDFOYnWZq10Twfp
ei85gleieNQrZ7vbFvu39I0bztixSoaoFnf76oe/y9Oaerg6eUpvuWqkbfgcgArp
UvpxeJ/YLr3Ksa7hnVzR8ar6DvyrZe8gDq80hCyUnWX+M/SnmQ==
=d6DR
-----END PGP PUBLIC KEY BLOCK-----
Privat nøgle
Den private nøgle, beskyttet med adgangsfrasen vist ovenfor. Kun offentliggjort til test: alle kan bruge den.
Download → 983 byte
Vis
-----BEGIN PGP PRIVATE KEY BLOCK-----
lQHiA2r3la4AAAEEAKbAYcHV75nFBHMuEeSltY+rW8BCKK7e2P+AMtswK8sG8SSc
OBoxM9Ik/hlTO6I8hF3axTTGA7iMdyGxXtL3Nio/I/FYgthcwzZlH/HYvtfcIv7A
R91CNxsApAZSTKFzvER2OErXOTLNs8TcK07iKVhH5s9gJ/vk5QN+1/3nHRk3ABEB
AAEBn9em93oQYcQEAEx48Hk8F2fl6Efnc1IHy9w0owGL/s5BJTh4bUASKniDUEmT
Z2xhzr8R0rdhOfcUBs7azdmQctj4O8lOUazK1g1mHzKY/BZXOjdIn/oeW0z+0Vmr
ddtMSh1L31Vr9Fc0xfH379CxySzG6jDPkdzhICwwUWKdunZ3FpCkMeTSJEiHAgA7
1tSD64MFBJSYJD6Lii870MUtp6ODC179LdsE+nz54lA7JjSRByl1fX43D4B1T+3z
jM+MsFrQOoNULYQf4Tc1AgCfOy4jZ46QTDVBFHPonKrWJJjz6PAsRDyknuVYKgqi
B64ZhOGlCSJ1SCAuxL5E1cwmRBZDZ8gJTXkfr1X6hMM1AgBYyBgNsMOHi4woPnVI
KTdpf9c+91YmycWbRmr8kbjPY0pIbkGZeKHDj52rsUi4LM2MHxdZkxvZhgFfNpnR
9SjtoOG0GUNILUogbWF0cml4IDQxLXYzLXJzYTEwMjSJAJUDBRBq95WuA37X/ecd
GTcBAUEsA/94CUvcJjevvEkCBzcZQX4zARY+Mh6xSmSJTBXLIrGKazDFOYnWZq10
Twfpei85gleieNQrZ7vbFvu39I0bztixSoaoFnf76oe/y9Oaerg6eUpvuWqkbfgc
gArpUvpxeJ/YLr3Ksa7hnVzR8ar6DvyrZe8gDq80hCyUnWX+M/SnmQ==
=7ZMo
-----END PGP PRIVATE KEY BLOCK-----
Tilbagekaldelsescertifikat
Et på forhånd genereret certifikat for kompromittering af nøglen, signaturklasse 0x20 defineret i RFC 1991 (»This is my key, and I have revoked it«) og implementeret af PGP 2.6. Import markerer nøglen som tilbagekaldt.
Download → 725 byte
Vis
-----BEGIN PGP PUBLIC KEY BLOCK-----
mQCPA2r3la4AAAEEAKbAYcHV75nFBHMuEeSltY+rW8BCKK7e2P+AMtswK8sG8SSc
OBoxM9Ik/hlTO6I8hF3axTTGA7iMdyGxXtL3Nio/I/FYgthcwzZlH/HYvtfcIv7A
R91CNxsApAZSTKFzvER2OErXOTLNs8TcK07iKVhH5s9gJ/vk5QN+1/3nHRk3ABEB
AAGJAJUDBSBq95WuA37X/ecdGTcBAQKBA/938RSvUEr4RE3RH8V4mIdCNHVEXim2
v1vGCyWPFp+Re1xgnraxYCt/4bceqDjaof6N3hTraaoOd2cOP3ge39ewplNH2jl1
NaYjDLROBAGl1ZU8QTEwrsP0XRXEasYuy674fbt3TscZo+T4g+J58/1vzFeDh47T
E5TqXR7x9kFoDrQZQ0gtSiBtYXRyaXggNDEtdjMtcnNhMTAyNIkAlQMFEGr3la4D
ftf95x0ZNwEBQSwD/3gJS9wmN6+8SQIHNxlBfjMBFj4yHrFKZIlMFcsisYprMMU5
idZmrXRPB+l6LzmCV6J41Ctnu9sW+7f0jRvO2LFKhqgWd/vqh7/L05p6uDp5Sm+5
aqRt+ByACulS+nF4n9guvcqxruGdXNHxqvoO/Ktl7yAOrzSELJSdZf4z9KeZ
=qfgP
-----END PGP PUBLIC KEY BLOCK-----
Signatur af test_1MB.bin
Separat signatur i ASCII-armor af test_1MB.bin, oprettet med denne nøgle i CH-J Tools. Gem den som test_1MB.bin.asc ved siden af testfilen.
Download → 273 byte
-----BEGIN PGP SIGNATURE-----
iQCVAwUAaveVrgN+1/3nHRk3AQEGewP/ck01xi+d+csd/k4uhv+Dj2n5FvCmjt3B
MaTtFXxc1wgqTLkeGTFlbjvBT1GqHF9JFhhVjV4ncksZdNvhD3DMzMVNzKLi+K1K
ewxkEdjvdYtaQl2nRS/oAZAH5wRSvZZI2YYxLSDpiP2yAwkLDEf+cddUoVdLOBWX
tcXeGQeIU5I=
=wikQ
-----END PGP SIGNATURE-----
Verificér signaturen
Nøgler i version 3 og 2 kræver GnuPG 1.4 (gpg1) med udtrykkelig tilladelse til MD5 eller historisk PGP eller CH-J Tools. Brug et midlertidigt GNUPGHOME, så testnøglen ikke kommer ind i din rigtige nøglering:
export GNUPGHOME="$(mktemp -d)"
gpg1 --allow-weak-digest-algos --import pgp-example-41-public.asc
gpg1 --allow-weak-digest-algos --verify test_1MB.bin.asc test_1MB.bin